Bug 1036157 - sssd can't retrieve auto.master when using the "default_domain_suffix" option in
Summary: sssd can't retrieve auto.master when using the "default_domain_suffix" option in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On: 1028422
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-29 15:30 UTC by Jakub Hrozek
Modified: 2018-12-04 16:29 UTC (History)
11 users (show)

Fixed In Version: sssd-1.11.2-10.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1028422
Environment:
Last Closed: 2014-06-13 12:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Steeve Goveas 2013-12-03 17:34:11 UTC
[root@dhcp207-183 ~]# rpm -q sssd
sssd-1.11.2-6.el7.x86_64

[root@dhcp207-183 ~]# cat /etc/sssd/sssd.conf
[domain/ipa.adlabs.com]

cache_credentials = True
krb5_store_password_if_offline = True
ipa_domain = ipa.adlabs.com
id_provider = ipa
auth_provider = ipa
access_provider = ipa
ipa_hostname = dhcp207-183.ipa.adlabs.com
chpass_provider = ipa
ipa_server = dhcp207-183.ipa.adlabs.com
ipa_server_mode = True
ldap_tls_cacert = /etc/ipa/ca.crt

[sssd]
services = nss, pam, ssh, autofs
config_file_version = 2
default_domain_suffix = adlabs.com

domains = ipa.adlabs.com
[nss]

[pam]

[sudo]

[autofs]
debug_level = 10

[ssh]

[pac]

[root@dhcp207-183 ~]# ipa trust-find
---------------
1 trust matched
---------------
  Realm name: adlabs.com
  Domain NetBIOS name: ADLABS
  Domain Security Identifier: S-1-5-21-3069109027-1612402048-776712048
  SID blacklist incoming: S-1-0, S-1-1, S-1-2, S-1-3, S-1-5-1, S-1-5-2, S-1-5-3, S-1-5-4, S-1-5-5, S-1-5-6, S-1-5-7, S-1-5-8, S-1-5-9, S-1-5-10, S-1-5-11, S-1-5-12, S-1-5-13, S-1-5-14, S-1-5-15, S-1-5-16,
                          S-1-5-17, S-1-5-18, S-1-5-19, S-1-5-20
  SID blacklist outgoing: S-1-0, S-1-1, S-1-2, S-1-3, S-1-5-1, S-1-5-2, S-1-5-3, S-1-5-4, S-1-5-5, S-1-5-6, S-1-5-7, S-1-5-8, S-1-5-9, S-1-5-10, S-1-5-11, S-1-5-12, S-1-5-13, S-1-5-14, S-1-5-15, S-1-5-16,
                          S-1-5-17, S-1-5-18, S-1-5-19, S-1-5-20
  Trust type: Active Directory domain
----------------------------
Number of entries returned 1
----------------------------

[root@dhcp207-183 ~]# service sssd restart
Redirecting to /bin/systemctl restart  sssd.service

[root@dhcp207-183 ~]# getent passwd administrator
administrator@adlabs.com:*:1436800500:1436800500:Administrator:/home/Administrator:/bin/sh

[root@dhcp207-183 ~]# grep automount /etc/nsswitch.conf
automount:  sss files

[root@dhcp207-183 ~]# service autofs restart
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ~]# automount -m
setautomntent: lookup(sss): setautomntent: No such file or directory
setautomntent: lookup(sss): setautomntent: No such file or directory
setautomntent: lookup(sss): setautomntent: No such file or directory

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev	:/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  dhcp207-183.ipa.adlabs.com | (null)
  localhost | (null)

[root@dhcp207-183 ~]# tail -f /var/log/sssd/sssd_autofs.log
....
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_autofs_cmd_setautomntent] (0x2000): sss_autofs_cmd_setautomntent
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_autofs_cmd_setautomntent] (0x0400): Got request for automount map named auto.master
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_parse_name_for_domains] (0x0200): name 'auto.master' matched without domain, user is auto.master
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_parse_name_for_domains] (0x0200): using default domain [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [setautomntent_send] (0x0400): Requesting info for automount map [auto.master] from [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [setautomntent_send] (0x1000): Map auto.master needs to be looked up
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [lookup_automntmap_step] (0x0400): Requesting info for [auto.master@adlabs.com]
.
.
.
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sysdb_get_map_byname] (0x0400): No such map
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [lookup_automntmap_step] (0x0080): No automount map [auto.master] in cache for domain [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_dp_issue_request] (0x0400): Issuing request for [0x7f1d51af3ed0:0:auto.master@adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_dp_get_autofs_msg] (0x0400): Creating autofs request for [adlabs.com][4105][mapname=auto.master]


[root@dhcp207-183 sssd]# grep suffix /etc/sssd/sssd.conf
#default_domain_suffix = adlabs.com

[root@dhcp207-183 ipa-trust-cli]# service sssd restart ; service autofs restart
Redirecting to /bin/systemctl restart  sssd.service
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ipa-trust-cli]# automount -m

autofs dump map information
===========================

global options: none configured

Mount point: /-

source(s):
lookup_read_map: lookup(sss): getautomntent_r: No such file or directory

  instance type(s): sss 
  map: auto.direct

  no keys found in map



* Verified in version sssd-1.11.2-10.el7.x86_64

[root@dhcp207-183 ~]# yum update sssd -y

[root@dhcp207-183 ~]# rpm -q sssd
sssd-1.11.2-10.el7.x86_64

[root@dhcp207-183 ~]# service sssd restart ; service autofs restart
Redirecting to /bin/systemctl restart  sssd.service
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ~]# automount -m

autofs dump map information
===========================

global options: none configured

Mount point: /-

source(s):
lookup_read_map: lookup(sss): getautomntent_r: No such file or directory

  instance type(s): sss 
  map: auto.direct

  no keys found in map

[root@dhcp207-183 ~]# getent passwd administrator
administrator@adlabs.com:*:1436800500:1436800500:Administrator:/home/Administrator:/bin/sh

Comment 4 Steeve Goveas 2013-12-03 17:39:05 UTC
[root@dhcp207-183 ~]# rpm -q sssd
sssd-1.11.2-6.el7.x86_64

[root@dhcp207-183 ~]# cat /etc/sssd/sssd.conf
[domain/ipa.adlabs.com]

cache_credentials = True
krb5_store_password_if_offline = True
ipa_domain = ipa.adlabs.com
id_provider = ipa
auth_provider = ipa
access_provider = ipa
ipa_hostname = dhcp207-183.ipa.adlabs.com
chpass_provider = ipa
ipa_server = dhcp207-183.ipa.adlabs.com
ipa_server_mode = True
ldap_tls_cacert = /etc/ipa/ca.crt

[sssd]
services = nss, pam, ssh, autofs
config_file_version = 2
default_domain_suffix = adlabs.com

domains = ipa.adlabs.com
[nss]

[pam]

[sudo]

[autofs]
debug_level = 10

[ssh]

[pac]

[root@dhcp207-183 ~]# ipa trust-find
---------------
1 trust matched
---------------
  Realm name: adlabs.com
  Domain NetBIOS name: ADLABS
  Domain Security Identifier: S-1-5-21-3069109027-1612402048-776712048
  SID blacklist incoming: S-1-0, S-1-1, S-1-2, S-1-3, S-1-5-1, S-1-5-2, S-1-5-3, S-1-5-4, S-1-5-5, S-1-5-6, S-1-5-7, S-1-5-8, S-1-5-9, S-1-5-10, S-1-5-11, S-1-5-12, S-1-5-13, S-1-5-14, S-1-5-15, S-1-5-16,
                          S-1-5-17, S-1-5-18, S-1-5-19, S-1-5-20
  SID blacklist outgoing: S-1-0, S-1-1, S-1-2, S-1-3, S-1-5-1, S-1-5-2, S-1-5-3, S-1-5-4, S-1-5-5, S-1-5-6, S-1-5-7, S-1-5-8, S-1-5-9, S-1-5-10, S-1-5-11, S-1-5-12, S-1-5-13, S-1-5-14, S-1-5-15, S-1-5-16,
                          S-1-5-17, S-1-5-18, S-1-5-19, S-1-5-20
  Trust type: Active Directory domain
----------------------------
Number of entries returned 1
----------------------------

[root@dhcp207-183 ~]# service sssd restart
Redirecting to /bin/systemctl restart  sssd.service

[root@dhcp207-183 ~]# getent passwd administrator
administrator@adlabs.com:*:1436800500:1436800500:Administrator:/home/Administrator:/bin/sh

[root@dhcp207-183 ~]# grep automount /etc/nsswitch.conf
automount:  sss files

[root@dhcp207-183 ~]# service autofs restart
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ~]# automount -m
setautomntent: lookup(sss): setautomntent: No such file or directory
setautomntent: lookup(sss): setautomntent: No such file or directory
setautomntent: lookup(sss): setautomntent: No such file or directory

autofs dump map information
===========================

global options: none configured

Mount point: /misc

source(s):

  instance type(s): file 
  map: /etc/auto.misc

  cd | -fstype=iso9660,ro,nosuid,nodev	:/dev/cdrom


Mount point: /net

source(s):

  type: hosts

  dhcp207-183.ipa.adlabs.com | (null)
  localhost | (null)

[root@dhcp207-183 ~]# tail -f /var/log/sssd/sssd_autofs.log
....
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_autofs_cmd_setautomntent] (0x2000): sss_autofs_cmd_setautomntent
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_autofs_cmd_setautomntent] (0x0400): Got request for automount map named auto.master
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_parse_name_for_domains] (0x0200): name 'auto.master' matched without domain, user is auto.master
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_parse_name_for_domains] (0x0200): using default domain [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [setautomntent_send] (0x0400): Requesting info for automount map [auto.master] from [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [setautomntent_send] (0x1000): Map auto.master needs to be looked up
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [lookup_automntmap_step] (0x0400): Requesting info for [auto.master@adlabs.com]
.
.
.
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sysdb_get_map_byname] (0x0400): No such map
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [lookup_automntmap_step] (0x0080): No automount map [auto.master] in cache for domain [adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_dp_issue_request] (0x0400): Issuing request for [0x7f1d51af3ed0:0:auto.master@adlabs.com]
(Tue Dec  3 12:12:50 2013) [sssd[autofs]] [sss_dp_get_autofs_msg] (0x0400): Creating autofs request for [adlabs.com][4105][mapname=auto.master]


[root@dhcp207-183 sssd]# grep suffix /etc/sssd/sssd.conf
#default_domain_suffix = adlabs.com

[root@dhcp207-183 ipa-trust-cli]# service sssd restart ; service autofs restart
Redirecting to /bin/systemctl restart  sssd.service
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ipa-trust-cli]# automount -m

autofs dump map information
===========================

global options: none configured

Mount point: /-

source(s):
lookup_read_map: lookup(sss): getautomntent_r: No such file or directory

  instance type(s): sss 
  map: auto.direct

  no keys found in map



* Verified in version sssd-1.11.2-10.el7.x86_64

[root@dhcp207-183 ~]# yum update sssd -y

[root@dhcp207-183 ~]# rpm -q sssd
sssd-1.11.2-10.el7.x86_64

* Uncommented default_domain_suffix

[root@dhcp207-183 ~]# grep suffix /etc/sssd/sssd.conf
default_domain_suffix = adlabs.com

[root@dhcp207-183 ~]# service sssd restart ; service autofs restart
Redirecting to /bin/systemctl restart  sssd.service
Redirecting to /bin/systemctl restart  autofs.service

[root@dhcp207-183 ~]# automount -m

autofs dump map information
===========================

global options: none configured

Mount point: /-

source(s):
lookup_read_map: lookup(sss): getautomntent_r: No such file or directory

  instance type(s): sss 
  map: auto.direct

  no keys found in map

[root@dhcp207-183 ~]# getent passwd administrator
administrator@adlabs.com:*:1436800500:1436800500:Administrator:/home/Administrator:/bin/sh

Comment 5 Ludek Smid 2014-06-13 12:34:23 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.